<?php
include_once(_DIR_TO_CLASS."/c_page.php");
class c_page_cab_personal extends c_page
{
 public $h1='Сотрудники' ;
 public $view_ext=0 ;
 public $view_fired=0 ;
 public $button_create_title='Добавить нового сотрудника' ;

 function set_head_tags()
 { parent::set_head_tags() ;
   $this->HEAD['css'][]=_PATH_TO_EXT.'/aspmo_personal/style.css' ;
 }

 //function check_access() { return(1) ;}

 function second_menu_config()
 {
   $this->second_menu=$this->menu['/cab/personal/']['items'] ;
 }


 function block_main()
 { $this->page_title() ;
   if (is_member_right('personal_create')) {?><form class="sky-form"><button class="button v1 float_right fa fa-user-plus" window=win_sec href="/window/personal/create/" to_extlist="<?echo $this->view_ext?>"><?echo $this->button_create_title?></button></form><?}
   include_once(_DIR_EXT.'/personal/report_personals.php') ;
   $report_obj=new report_personals() ;
   $report_obj->filter['order']='obj_name';
   $report_obj->setting(array('disabled_filter'=>array('status','UID'))) ;

   // если пользователь не администратор, и в группе пользователя пристствуют киенты - показывать
   // сотрудников только этих клиентов
   if (MEMBER()->rol!=1)
   { $arr_clients=execSQL_line('select pkey from obj_site_account where parent='.MEMBER()->cur_group_id.' and clss=210 and rol=6 and enabled=1') ;
     if (_sizeof($arr_clients)==1) $report_obj->filter['client_id']=$arr_clients[0];
     elseif (_sizeof($arr_clients)>1) $report_obj->filter['client_ids']=implode(',',$arr_clients);
   }

   $report_obj->view() ;
 }

}

?>
